Package org.eclipse.microprofile.openapi.annotations.links

## Annotation Type LinkParameter

    @Target({})
    @Retention(RUNTIME)
    @Inherited
    public @interface LinkParameter

Represents a parameter to pass to an operation as specified with operationId or identified via operationRef.

### Optional Element Summary

Optional Elements
`String` `expression` A constant or an expression to be evaluated and passed to the linked operation.
`String` `name` The name of this link parameter.

### Element Detail

#### name

    String name

The name of this link parameter.

Returns:
  the parameter's name

Default:
  ""

#### expression

    String expression

A constant or an expression to be evaluated and passed to the linked operation.

Returns:
  the parameter's literal value or expression

Default:
  ""